> ## Documentation Index
> Fetch the complete documentation index at: https://docs.portfobit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List live open orders

> Requires `order:read`. Reads the connected CEX in real time, not local order history.



## OpenAPI

````yaml /openapi/portfobit-openapi.yaml get /accounts/{account_id}/open-orders
openapi: 3.1.0
info:
  title: Portfobit Open API
  version: 0.1.0
  description: >
    Public REST API for direct API clients, CI, scripts, service accounts,
    third-party agents, and developer integrations.

    Public REST requests use scoped Portfobit Open API keys. OAuth access tokens
    issued for the Portfobit MCP resource are not accepted by `/api/v1/*`
    endpoints.

    Portfobit is crypto-CEX-only. Financial values are decimal strings and
    timestamps are RFC 3339 UTC strings.

    The API never supports withdrawals, external-address transfers,
    cross-exchange transfers, or P2P transfers.
servers:
  - url: https://api.portfobit.com/api/v1
security:
  - bearerAuth: []
tags:
  - name: Context
  - name: Accounts
  - name: Portfolios
  - name: Valuation
  - name: Activity
  - name: Trading
  - name: Market data
  - name: Support
paths:
  /accounts/{account_id}/open-orders:
    get:
      tags:
        - Activity
      summary: List live open orders
      description: >-
        Requires `order:read`. Reads the connected CEX in real time, not local
        order history.
      operationId: listOpenOrders
      parameters:
        - $ref: '#/components/parameters/AccountId'
        - $ref: '#/components/parameters/Symbol'
      responses:
        '200':
          $ref: '#/components/responses/OpenOrdersResponse'
        '400':
          $ref: '#/components/responses/SymbolRequiredResponse'
        default:
          $ref: '#/components/responses/ErrorResponse'
components:
  parameters:
    AccountId:
      name: account_id
      in: path
      required: true
      schema:
        type: string
      description: Connected CEX account ID.
    Symbol:
      name: symbol
      in: query
      schema:
        type: string
      description: CCXT unified symbol.
  responses:
    OpenOrdersResponse:
      description: Live open-order list response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/OpenOrdersResponseSchema'
    SymbolRequiredResponse:
      description: >-
        The connector requires a CCXT unified symbol for a live open-order
        query.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SymbolRequiredResponseSchema'
    ErrorResponse:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  schemas:
    OpenOrdersResponseSchema:
      type: object
      required:
        - data
        - meta
      properties:
        data:
          type: array
          items:
            type: object
            required:
              - account_id
              - venue
              - venue_order_id
              - client_order_id
              - symbol
              - type
              - time_in_force
              - side
              - status
              - price
              - amount
              - filled
              - remaining
              - average
              - cost
              - fee
              - reduce_only
              - post_only
              - trigger_price
              - stop_loss_price
              - take_profit_price
              - placed_at
              - last_trade_at
            properties:
              account_id:
                type: string
              venue:
                type: string
              venue_order_id:
                type: string
              client_order_id:
                type:
                  - string
                  - 'null'
              symbol:
                type: string
              type:
                type: string
              time_in_force:
                type:
                  - string
                  - 'null'
              side:
                type: string
              status:
                type: string
              price:
                type:
                  - string
                  - 'null'
              amount:
                type:
                  - string
                  - 'null'
              filled:
                type:
                  - string
                  - 'null'
              remaining:
                type:
                  - string
                  - 'null'
              average:
                type:
                  - string
                  - 'null'
              cost:
                type:
                  - string
                  - 'null'
              fee:
                type:
                  - object
                  - 'null'
                required:
                  - cost
                  - currency
                  - rate
                properties:
                  cost:
                    type:
                      - string
                      - 'null'
                  currency:
                    type:
                      - string
                      - 'null'
                  rate:
                    type:
                      - string
                      - 'null'
              reduce_only:
                type:
                  - boolean
                  - 'null'
              post_only:
                type:
                  - boolean
                  - 'null'
              trigger_price:
                type:
                  - string
                  - 'null'
              stop_loss_price:
                type:
                  - string
                  - 'null'
              take_profit_price:
                type:
                  - string
                  - 'null'
              placed_at:
                type:
                  - string
                  - 'null'
                format: date-time
              last_trade_at:
                type:
                  - string
                  - 'null'
                format: date-time
        meta:
          type: object
          required:
            - as_of
            - request_id
            - generated_at
          properties:
            as_of:
              type: string
              format: date-time
            request_id:
              type: string
            generated_at:
              type: string
              format: date-time
      example:
        data:
          - account_id: acc_01H8XFK9A
            venue: binance
            venue_order_id: '12345'
            client_order_id: cli_123
            symbol: BTC/USDT
            type: stop_loss_limit
            time_in_force: GTC
            side: sell
            status: open
            price: '59000'
            amount: '0.1'
            filled: '0.02'
            remaining: '0.08'
            average: '59950'
            cost: '1199'
            fee:
              cost: '1.199'
              currency: USDT
              rate: '0.001'
            reduce_only: true
            post_only: false
            trigger_price: '60000'
            stop_loss_price: '59000'
            take_profit_price: '65000'
            placed_at: '2026-08-07T08:00:00Z'
            last_trade_at: '2026-08-07T08:00:30Z'
        meta:
          as_of: '2026-08-07T08:01:00Z'
          request_id: req_01J2K8B7QW
          generated_at: '2026-08-07T08:01:00Z'
    SymbolRequiredResponseSchema:
      type: object
      required:
        - error
        - meta
      properties:
        error:
          type: object
          required:
            - code
            - message
            - details
          properties:
            code:
              type: string
              const: symbol_required
            message:
              type: string
            details:
              type:
                - object
                - 'null'
        meta:
          $ref: '#/components/schemas/Meta'
      example:
        error:
          code: symbol_required
          message: A CCXT unified symbol is required by this connector.
          details: null
        meta:
          request_id: req_01J2K8B7QW
          generated_at: '2026-08-16T08:00:00Z'
    ErrorEnvelope:
      type: object
      required:
        - error
        - meta
      properties:
        error:
          $ref: '#/components/schemas/Error'
        meta:
          $ref: '#/components/schemas/Meta'
    Meta:
      type: object
      required:
        - request_id
        - generated_at
      properties:
        request_id:
          type: string
        generated_at:
          type: string
          format: date-time
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
        details:
          type: object
          additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Portfobit Open API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.